package org.apache.maven.hibernate.jelly;

/* ====================================================================
 *   Copyright 2001-2004 The Apache Software Foundation.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * ====================================================================
 */

import org.apache.maven.hibernate.beans.SchemaExportBean;

/**
 * 
 * Jelly tag which delagates all calls to {@link SchemaExportBean}
 * 
 * @author <a href="michal.maczka@dimatics.com">Michal Maczka</a> 
 * @version $Id$
 */
public class SchemaExportTag extends SchemaTagBase
{
     
   public SchemaExportTag() {
     super( new SchemaExportBean() );
   }
   
   public void setDrop(boolean b)
   {
      ((SchemaExportBean) bean).setDrop(b);
   }
   
   public void setOutputFile(String string)
   {
      bean.setOutputFile(string);
   }

   public void setDelimiter(String delimiter)
   {
      bean.setDelimiter(delimiter);
   }

   public boolean isDrop()
   {
      return ((SchemaExportBean) bean).isDrop();
   }

   public String getOutputFile()
   {
      return bean.getOutputFile();
   }
   
   public String getDelimiter()
   {
      return bean.getDelimiter();
   }

}
